## gnumail 1.2.0~pre3%2Bsnap20071004

=== debian/control ===
Source: gnumail
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 8),
	       libgnustep-gui-dev,
	       libpantomime1.2-dev,
	       libaddresses-dev,
	       libaddressview-dev
Standards-Version: 3.9.2
Homepage: http://collaboration-world.com/gnumail
Vcs-Git: git://git.debian.org/pkg-gnustep/gnumail.git
Vcs-Browser: http://git.debian.org/?p=pkg-gnustep/gnumail.git

Package: gnumail.app
Architecture: any
Depends: addressmanager.app,
	 ${shlibs:Depends},
	 ${misc:Depends}
Suggests: gnupg,
	  steptalk
Provides: mail-reader,
	  imap-client
Description: Mail client for GNUstep
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).

Package: gnumail.app-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gnumail.app (= ${binary:Version}),
	 ${misc:Depends}
Description: Mail client for GNUstep (debugging symbols)
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).
 .
 This package contains the debugging symbols.
