## gnumail 1.2.0~pre3+snap20071004

=== debian/changelog ===
gnumail (1.2.0~pre3+snap20071004-5build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:48:21 +0100

gnumail (1.2.0~pre3+snap20071004-5) unstable; urgency=low

  * debian/patches/pgp-version.patch: Move local modifications here.
  * debian/patches/mail-window-crash: New, fixes a crash when displaying
    the main window (Closes: #645936).
  * debian/patches/link-libs.patch: New, link against all required
    libraries.
  * debian/patches/series: New file.
  * debian/control: Wrap all fields for diff-friendliness.
    (Uploaders): Add myself and remove Hubert as per his request.
    (Section): Change to `gnustep' and `debug' (for the -dbg package).
    (Build-Depends): Remove libssl-dev, the correct fix was made in
    pantomime.  Drop cdbs and unnecessary version requirements.
    (Homepage, Vcs-Git, Vcs-Browser): New fields.
    (Suggests): Remove ancient pgp variants.
    (Conflicts, Replaces): Remove, not needed.
    (Provides): Add mail-reader and imap-client (Closes: #599072).
    (Description): Make the short description less pretentious; mention
    GNUstep.  Don't praise the proprietary Mail.app program.
    (Standards-Version): Claim compliance with 3.9.2 as of this release.
  * debian/compat: Set to 8.
  * debian/rules: Rewrite to use plain debhelper.
  * debian/gnumail.app.overrides: Delete.
  * debian/source/format: New file, set to 3.0 (quilt).
  * debian/preinst:
  * debian/docs:
  * debian/GNUMail.desktop: New file.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 05 Nov 2011 11:17:50 +0200

gnumail (1.2.0~pre3+snap20071004-4) unstable; urgency=low

  * debian/control: Build-depend: on libssl-dev. (closes: #471612)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 19 Mar 2008 13:12:58 -0400

gnumail (1.2.0~pre3+snap20071004-3) unstable; urgency=low

  * Upload to unstable.
  * Bundles/PGP/PGPController.h, Bundles/PGP/PGPController.m,
    Bundles/PGP/PGPViewController.m: Rename bundle's -version method in PGP
    bundle to something that actually doesn't conflict. (closes: #457503)
  * debian/control (gnumail.app-dbg): Change priority to extra, to match
    overrides file.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 13 Mar 2008 15:31:49 -0400

gnumail (1.2.0~pre3+snap20071004-2) experimental; urgency=low

  * debian/control: Make the mailing list the maintainer.
  * debian/control: Bump standards version to 3.7.3. (no other changes needed)
  * debian/control, debian/rules: add debugging package.
  * Bundles/PGP/PGPController.h, Bundles/PGP/PGPController.m,
    Bundles/PGP/PGPViewController.m: Rename bundle's -version method in PGP
    bundle, to avoid conflicting names.  See if this helps #457503.
  * debian/rules: Remove call to strip. (closes: #437049)
  * debian/rules: Don't need to remove CVS directories any more.  Upstream
    doesn't use CVS.
  * debian/control, debian/compat: Bump debhelper compatibility to 5.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 01 Feb 2008 11:56:26 -0500

gnumail (1.2.0~pre3+snap20071004-1) unstable; urgency=low

  * New upstream snapshot.
  * Recommend steptalk.
  * Build against new GNUstep.
    * Update GNUstep paths environment variables in debian/rules.
  * Update menu entry.
  * Remove unneeded preinst and README.Debian file.

 -- Hubert Chathi <uhoreg@debian.org>  Fri,  5 Oct 2007 12:11:07 -0400

gnumail (1.2.0~pre3-1~hc1) experimental; urgency=low

  * New upstream release.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 28 Feb 2007 07:22:58 -0500

gnumail (1.2.0~pre2+20070131-1~hc1) experimental; urgency=low

  * New upstream snapshot.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 31 Jan 2007 23:05:34 -0500

gnumail (1.2.0~pre2+20070129-1~hc1) experimental; urgency=low

  * New upstream snapshot.

 -- Hubert Chan <uhoreg@debian.org>  Mon, 29 Jan 2007 14:24:21 -0500

gnumail (1.2.0~pre2+20070119+newcache-1~hc1) experimental; urgency=low

  * New upstream snapshot, plus new experimental caching code.
  * Update my maintainer address.

 -- Hubert Chan <uhoreg@debian.org>  Fri, 19 Jan 2007 22:00:32 -0500

gnumail (1.2.0~pre2-1) unstable; urgency=low

  * New upstream release.
  * Add preinst script to move user-installed files in the Resources directory
    to /usr/share. (Closes: #364143)

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 27 Sep 2006 14:48:48 -0400

gnumail (1.1.99+20060527-1) unstable; urgency=low

  * New upstream snapshot.
  * Recompile with new GNUstep libraries.
  * Use cdbs for build rules.
  * Bump standards version to 3.7.2. (no changes)
  * Fix GPL license header in copyright file.
  * Disable clock bundle since it doesn't work in GNUstep.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 30 Aug 2006 22:13:24 -0600

gnumail (1.1.99+20051227cvs-1) unstable; urgency=low

  * Upstream CVS checkout.
    - Upstream says that these bugs in BTS have already been fixed in CVS.
      (Closes: #293802, #294921, #325724, #296826)
    - Use thread arcs instead of threaded view. (Closes: #293802)
    - Fix composing message with UTF-8 subject. (Closes: #294921)
  * New co-maintainer.
  * Bump standards version to 3.6.2.1.
  * Recompile with new GNUstep libraries. (Closes: #350077)
  * Fix copyright file.

 -- Hubert Chan <hubert@uhoreg.ca>  Sun, 16 Apr 2006 17:52:19 -0600

gnumail (1.1.99-1) experimental; urgency=low

  * New upstream version.
  * Upload in experimental.
  * Update manpage.
  * Update description.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 23 Jan 2005 16:57:32 +0100

gnumail (1.1.2-5) unstable; urgency=medium

  * Cleanup debina/rules.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Dec 2004 11:02:05 +0100

gnumail (1.1.2-4) unstable; urgency=low

  * Rename gnumail binary package to gnumail.app.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu, 25 Nov 2004 19:03:22 +0100

gnumail (1.1.2-3) unstable; urgency=medium

  * Rebuild using latest pantomime, addresses and GNUstep Core packages.
  * Remove old wrapper script and provide new wrapper link.


