## gnumail 1.2.2

=== debian/changelog ===
gnumail (1.2.2-1) unstable; urgency=medium

  * New upstream release:
    - Fixes crash when checking the SMTP AUTH capabilities and setting
      the account's SMTP options (Closes: #659489).
    - Compatible with current GNUstep libraries (Closes: #749740).
  * debian/patches/link-libs.patch: Refresh.
  * debian/patches/mail-window-crash.patch:
  * debian/patches/pgp-version.patch: Remove; applied upstream.
  * debian/patches/spelling-fixes.patch: New.
  * debian/patches/series: Update.
  * debian/compat: Set to 9.
  * debian/rules: Rewrite to use modern dh.  Enable hardening.
  * debian/control (Homepage): Remove, no longer works.
    (Build-Depends): Require libgnustep-gui-dev >= 0.24; bump debhelper.
    (gnumail.app-common): New package, split arch-indep files.
    (Depends): Add ${gnustep:Depends}.
    (Vcs-Git, Vcs-Browser): Use canonical URIs.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/preinst: Delete; no longer needed.
  * debian/GNUMail.desktop: Add Keywords field.
  * debian/watch:
  * debian/install:
  * debian/manpages: New file.
  * debian/copyright: Rewrite in format 1.0.  Remove license for code
    removed long time ago.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Nov 2014 13:23:30 +0200
