=== debian/control ===
Source: gnumail
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       libpantomime1.2-dev,
	       libaddresses-dev,
	       libaddressview-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gnumail.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnumail.git

Package: gnumail.app
Architecture: any
Depends: gnumail.app-common (= ${source:Version}),
	 addressmanager.app,
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Suggests: gnupg,
	  steptalk
Provides: mail-reader,
	  imap-client
Description: Mail client for GNUstep
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).

Package: gnumail.app-common
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gnumail.app
Breaks: gnumail.app (<< 1.2.2)
Replaces: gnumail.app (<< 1.2.2)
Description: Mail client for GNUstep (common files)
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).
 .
 This package contains the architecture-independent files; it is not
 useful on its own.

Package: gnumail.app-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gnumail.app (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: Mail client for GNUstep (debugging symbols)
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).
 .
 This package contains the debugging symbols.
