=== debian/watch ===
version=3
http://download.gna.org/gnustep-nonfsf/GNUMail-(.*)\.tar\.gz
