## gnumail 1.2.3

=== debian/changelog ===
gnumail (1.2.3-1build1) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:14 +0000

gnumail (1.2.3-1) unstable; urgency=high

  * New upstream release.
  * Set urgency to "high" due to the nature of the bug it fixes.
  * debian/watch: Switch to Savannah.
  * debian/gnumail.app-common.install:
  * debian/gnumail.app.links: Don't install the Face bundle; removed
    upstream due to unclear licensing.
  * debian/gnumail.app.install: Don't install a dangling symlink to the
    non-existing Headers directory and the .xpm icon.
  * debian/rules: Strip trailing whitespace.
    (DEB_LDFLAGS_MAINT_APPEND): Define to the previous value and pass
    dpkg-buildflags explicitly to restore hardening and strip the libssl
    dependency (Closes: #886305).  Pass $(optim), restoring lost support
    for noopt in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Pass GNUSTEP_SYSTEM_LIBRARIES to install
    the framework in /usr/lib/gworkspace.app as per Policy §10.2.  Delete
    dangling Headers symlink.
    (override_dh_auto_clean): Remove; completely unnecessary.
    (override_dh_link): Remove override and just delete the invalid
    .desktop file in the override_dh_auto_install recipe.
    (override_dh_makeshlibs): New override; pass --noscripts.
  * debian/compat: Bump compat level to 11.
  * debian/control (Homepage): Switch to the new one at nongnu.org.
    (Build-Depends): Require debhelper >= 11.  Remove obsolete
    libgnustep-gui-dev version requirement.  Add gnustep-make (>= 2.7.0-3)
    for the optim variable definition.
    (Breaks, Replaces): Remove; obsolete.
    (Standards-Version): Claim compliance with 4.1.3.
  * debian/GNUMail.xpm: Delete as the menu file is gone.
  * debian/patches/spelling-fixes.patch: Refresh.
  * debian/patches/link-libs.patch: Refresh and remove -lssl from the
    toplevel makefile, just in case.
  * debian/changelog: Delete trailing whitespace.
  * debian/copyright: Update Source location and copyright years; add more
    copyright holders and missing licenses (LGPL-2+ for the StepTalk
    support and LPGL-2.1+ for some icons).

 -- Yavor Doganov <yavor@gnu.org>  Fri, 05 Jan 2018 23:44:52 +0200

gnumail (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop -dbg package in favor of autogenerated -dbgsym packages.

  [ Eric Heintzmann ]
  * Update debian/watch file
  * Bump Standards-Version to 3.9.8
  * Add myself as new Uploader
  * Update Vcs-* fields
  * Add homepage
  * Remove useless ${gnustep:Depends} variable
  * Update debian/copyright file
  * Refresh patches
  * Overhaul *.install and *.links
  * Remove debian/menu file
  * Update debian/rules file  (Closes: #806037)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Jan 2017 05:04:03 +0100
