=== debian/control ===
Source: gnumail
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 11),
               gnustep-make (>= 2.7.0-3),
               libgnustep-gui-dev,
               libpantomime1.2-dev,
               libaddresses-dev,
               libaddressview-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/gnumail.git
Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnumail.git
Homepage: http://www.nongnu.org/gnustep-nonfsf/gnumail/

Package: gnumail.app
Architecture: any
Depends: gnumail.app-common (= ${source:Version}),
         addressmanager.app,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: gnupg,
          steptalk
Provides: mail-reader,
          imap-client
Description: Mail client for GNUstep
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).

Package: gnumail.app-common
Architecture: all
Depends: ${misc:Depends}
Recommends: gnumail.app
Description: Mail client for GNUstep (common files)
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).
 .
 This package contains the architecture-independent files; it is not
 useful on its own.
