=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
# The GNUMail framework is private: there are no API guarantees and no
# public headers so install it in /usr/lib/gnumail.app according to
# Debian Policy § 10.2.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed \
				     -Wl,-rpath,/usr/lib/gnumail.app

## config.mk is provided by gnustep-make package
include /usr/share/GNUstep/debian/config.mk

# Install in debian/tmp
export DESTDIR=$(CURDIR)/debian/tmp


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		messages=yes \
		$(optim) \
		$(shell dpkg-buildflags --export=cmdline)

override_dh_auto_install:
# Trick to force gnustep-make to create symlinks for the framework in
# /usr/lib/gnumail.app instead of /usr/lib.
	dh_auto_install -- GNUSTEP_SYSTEM_LIBRARIES=/usr/lib/gnumail.app
# Remove empty directories and dangling symlink.
	find debian/tmp -type d -empty -delete
	$(RM) $(DESTDIR)$(GNUSTEP_SYSTEM_FRAMEWORKS)/GNUMail.framework/Headers
# Delete unnecessary and invalid .desktop file from the app bundle.
	$(RM) $(DESTDIR)$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/*.desktop

override_dh_install:
	dh_install -pgnumail.app -XResources
	dh_install --remaining-packages

override_dh_makeshlibs:
# libGNUMail is installed as a private library; avoid lintian complaint.
	dh_makeshlibs --noscripts
