## gnumail 1.3.0

=== debian/changelog ===
gnumail (1.3.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:42:41 +0100

gnumail (1.3.0-1build1) disco; urgency=medium

  * No-change rebuild for gnustep soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 19:51:04 +0000

gnumail (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Replace libpantomime1.2-dev with
    libpantomime-dev (>= 1.3.0).  Bump gnustep-make requirement to >=
    2.7.0-4 for "terse" support.
    (gnumail.app-common): Mark as Multi-Arch: foreign.
    (Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
    (Standards-Version): Claim compliance with 4.2.1.
  * debian/patches/link-libs.patch: Remove; merged upstream.
  * debian/patches/spelling-fixes.patch: Likewise.
  * debian/patches/series: Delete.
  * debian/rules (override_dh_auto_install): Delete unnecessary extra
    copyright/license notices for translations.
    (override_dh_auto_build): Support "terse" in DEB_BUILD_OPTIONS.
  * debian/copyright: Update copyright years.
  * debian/NEWS: Inform users about the new format of the IMAP cache and
    how to proceed when the conversion fails.
  * debian/gbp.conf: New file.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Dec 2018 15:32:40 +0200
