=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: gnustep
 Priority: optional
 Build-Depends: debhelper (>= 11),
-               gnustep-make (>= 2.7.0-3),
+               gnustep-make (>= 2.7.0-4),
                libgnustep-gui-dev,
-               libpantomime1.2-dev,
+               libpantomime-dev (>= 1.3.0),
                libaddresses-dev,
                libaddressview-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnustep/gnumail.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnumail.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gnumail
+Vcs-Git: https://salsa.debian.org/gnustep-team/gnumail.git
 Homepage: http://www.nongnu.org/gnustep-nonfsf/gnumail/
 
 Package: gnumail.app
@@ -32,6 +32,7 @@
 
 Package: gnumail.app-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: gnumail.app
 Description: Mail client for GNUstep (common files)
