=== debian/watch ===
version=4
https://download.savannah.nongnu.org/releases/gnustep-nonfsf/ \
	GNUMail@ANY_VERSION@\.tar\.gz debian uupdate
