## gnumail 1.4.0

=== debian/changelog ===
gnumail (1.4.0-3build2) questing; urgency=medium

  * Rebuild against gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:18:35 -0400

gnumail (1.4.0-3build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 21:46:13 +0100

gnumail (1.4.0-3) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Require libaddressview-dev (>=
    0.4.8-7) for the multiarch layout.  Drop libaddresses-dev and
    libgnustep-gui-dev; implied by the depenedency chain.
    (gnumail.app): Add necessary Breaks/Replaces on the -common package
    because the entire GNUMail framework is installed here, along with the
    gazillion symlinks (dh_gnustep's --move-to is ignored for frameworks).
    (Standards-Version): Claim compliance with 4.7.0; no changes needed.
  * debian/gnumail.app.install: Install only arch-dep files.  Put the app
    icon in /usr/share/GNUstep/GNUMail.app instead of /usr/share/pixmaps.
  * debian/gnumail.app.links: Delete; job delegated to dh_gnustep.
  * debian/gnumail.app-common.install: Likewise (Closes: #1094008).
  * debian/rules (DESTDIR): Remove definition; it's the default.
    (override_dh_auto_install): Update to cope with the change above.
    Don't delete the .desktop file; dh_gnustep handles this now.
    (override_dh_install): Remove override; now unnecessary.
    (execute_before_dh_link): New target, invoke
    dh_gnustep --app --appsupport --move-to=gnumail.app-common.  This
    simplifies packaging a lot as it spares repetitive and declarative
    stuff in .install/.links files, now handled programmatically.
  * debian/GNUMail.desktop: Amend Icon path.
  * debian/upstream/metadata: New file.
  * debian/copyright: Add Upstream-Contact; update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Feb 2025 21:02:21 +0200

gnumail (1.4.0-2) unstable; urgency=medium

  * debian/gnumail.app.install: Install the PNG icon in /usr/share/pixmaps
    since /usr/share/GNUstep/GNUMail.app is in the -common package and
    AppStream insists the icon to be in the same package as the binary.
  * debian/GNUMail.desktop: Adjust icon accordingly.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Jul 2023 14:17:08 +0300

gnumail (1.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on gnustep-make (>= 2.7.0-4).
    + Build-Depends: Drop versioned constraint on libpantomime-dev (>= 1.3.0).

  [ Yavor Doganov ]
  * New upstream release:
    + Fixes FTBFS with pantomime/1.4.0 (Closes: #1032830).
  * debian/control (Build-Depends): Require libpantomime-dev (>= 1.4).
    Drop gnustep-make; always pulled in.  Switch to the debhelper-compat
    mechanism; bump level to 13.  Add icu-devtools for conversion to UTF-8
    with BOM (uconv supports this feature while iconv does not).  Add
    imagemagick for the icon conversion.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2; no changes needed.
  * debian/compat: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed.
    (override_dh_auto_install): Delete empty usr/include/GNUstep/GNUMail.
    Convert translations to UTF-8; fixes lintian W: national-encoding.
    Convert the app icon to PNG (AppStream does not support TIFF).
    (override_dh_installdocs-arch): New override; convert a file to UTF-8
    in order to fix lintian warning national-encoding.
  * debian/gnumail.app.install: Install the PNG version of the app icon.
  * debian/GNUMail.desktop: Use the PNG icon.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 26 Jun 2023 00:42:56 +0300
