=== debian/control ===
Source: gnumail
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Eric Heintzmann <heintzmann.eric@free.fr>,
 Yavor Doganov <yavor@gnu.org>,
Section: gnustep
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 icu-devtools,
 imagemagick,
 libaddressview-dev (>= 0.4.8-7),
 libpantomime-dev (>= 1.4),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnumail
Vcs-Git: https://salsa.debian.org/gnustep-team/gnumail.git
Homepage: http://www.nongnu.org/gnustep-nonfsf/gnumail/

Package: gnumail.app
Architecture: any
Depends:
 addressmanager.app,
 gnumail.app-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnupg,
 steptalk,
Breaks:
 gnumail.app-common (<< 1.4.0-3),
Replaces:
 gnumail.app-common (<< 1.4.0-3),
Provides:
 imap-client,
 mail-reader,
Description: Mail client for GNUstep
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).

Package: gnumail.app-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 gnumail.app,
Description: Mail client for GNUstep (common files)
 GNUMail is a clone of NeXT/Apple's Mail.app application. It uses the
 GNUstep development framework (or Apple Cocoa, which is based on the
 OpenStep specification provided by NeXT, Inc.).
 .
 This package contains the architecture-independent files; it is not
 useful on its own.
