=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# The GNUMail framework is private: there are no API guarantees and no
# public headers so install it in /usr/lib/gnumail.app according to
# Debian Policy § 10.2.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
				     -Wl,-rpath,/usr/lib/gnumail.app
include /usr/share/GNUstep/debian/config.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(verbose) $(optim) \
	  $(shell dpkg-buildflags --export=cmdline)

override_dh_auto_install:
# Trick to force gnustep-make to create symlinks for the framework in
# /usr/lib/gnumail.app instead of /usr/lib.
	dh_auto_install -- GNUSTEP_SYSTEM_LIBRARIES=/usr/lib/gnumail.app
# Remove empty directories and dangling symlink.
	find debian/tmp -type d -empty -delete
	rm debian/tmp$(GNUSTEP_SYSTEM_FRAMEWORKS)/GNUMail.framework/Headers
	rm debian/tmp$(GNUSTEP_SYSTEM_HEADERS)/GNUMail
# Delete copyright/license notices for translations which trigger
# lintian I: package-contains-documentation-outside-usr-share-doc.
	find debian/tmp -name README -delete
# Convert translations to UTF-8; fixes lintian W: national-encoding.
	for file in Resources/*.lproj/Localizable.strings; do \
	  if echo $$file | grep -q Spanish; then \
	    :; \
	  else \
	    uconv --from-code UTF16-LE --to-code UTF-8 --add-signature \
	      --output debian/tmp$(GNUSTEP_SYSTEM_APPS)/*.app/$$file $$file; \
	    uconv --from-code UTF16-LE --to-code UTF-8 --add-signature \
	      --output debian/tmp$(GNUSTEP_SYSTEM_APPS)/*.app/Resources/$$file \
	      $$file; \
	  fi; \
	done
# Convert app icon to PNG format (AppStream does not support TIFF).
	convert Resources/Icons/GNUMail.tiff debian/tmp/app-icon.png

override_dh_installdocs-arch:
	dh_installdocs -a
# Convert a file to UTF-8; fixes lintian W: national-encoding.
	iconv --from-code=ISO-8859-1 --to-code=UTF-8 \
	  --output=debian/gnumail.app/usr/share/doc/gnumail.app/WHOIS \
	  Documentation/WHOIS

execute_before_dh_link:
	gsdh_gnustep --app --appsupport --move-to=gnumail.app-common

override_dh_makeshlibs:
# libGNUMail is installed as a private library; avoid lintian complaint.
	dh_makeshlibs --noscripts
